CREATE TABLE AnulaCumplidoMan ( 
ManId INT IDENTITY ( 1,1 ) NOT NULL,
NumManifiestoCarga VARCHAR(15) NOT NULL,
CodMotivoAnulacion CHAR(1),
Observacion VARCHAR(200),
Cumplido INT DEFAULT ((0)) NOT NULL,
IdCiaCump CHAR(2),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
AccionReg INT DEFAULT ((0)) NOT NULL,
TipoAnulacion INT DEFAULT ((0))
 CONSTRAINT PK_AnulaCumplidoMan PRIMARY KEY NONCLUSTERED (ManId),
 CONSTRAINT CK_AnulaCumplidoManNumManifiestoCarga CHECK ((len([NumManifiestoCarga])>(0))))
CREATE TABLE AnulaCumplidoRem ( 
Id INT IDENTITY ( 1,1 ) NOT NULL,
RemNroRemEmpresa VARCHAR(15) NOT NULL,
RemNroManifiesto VARCHAR(15) NOT NULL,
CodMotivoAnulacion CHAR(1) NOT NULL,
Observacion VARCHAR(250),
Cumplido INT DEFAULT ((0)) NOT NULL,
IdCiaCump CHAR(2) NOT NULL,
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
AccionReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_AnulaCumplidoRem PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_AnulaCumplidoRemCodMotivoAnulacion CHECK ((len([CodMotivoAnulacion])>(0))),
 CONSTRAINT CK_AnulaCumplidoRemRemNroManifiesto CHECK ((len([RemNroManifiesto])>(0))),
 CONSTRAINT CK_AnulaCumplidoRemRemNroRemEmpresa CHECK ((len([RemNroRemEmpresa])>(0))))
CREATE TABLE AnulaInfoCarga ( 
RemId INT IDENTITY ( 1,1 ) NOT NULL,
RemNroPreremesa VARCHAR(15) NOT NULL,
RemMotivo CHAR(1) NOT NULL,
RemObservacion VARCHAR(200),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
AccionReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_AnulaInfoCarga PRIMARY KEY NONCLUSTERED (RemId),
 CONSTRAINT CK_AnulaInfoCargaRemMotivo CHECK ((len([RemMotivo])>(0))),
 CONSTRAINT CK_AnulaInfoCargaRemNroPreremesa CHECK ((len([RemNroPreremesa])>(0))))
CREATE TABLE AnulaInfoViaje ( 
ManId INT IDENTITY ( 1,1 ) NOT NULL,
ManInfoViaje VARCHAR(15) NOT NULL,
ManMotivo CHAR(1) NOT NULL,
ManObservacion VARCHAR(200),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
AccionReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_AnulaInfoViaje PRIMARY KEY NONCLUSTERED (ManId),
 CONSTRAINT CK_AnulaInfoViajeManInfoViaje CHECK ((len([ManInfoViaje])>(0))),
 CONSTRAINT CK_AnulaInfoViajeManMotivo CHECK ((len([ManMotivo])>(0))))
CREATE TABLE AnulaManifiestos ( 
ManId INT IDENTITY ( 1,1 ) NOT NULL,
ManNumero_Empresa VARCHAR(15) NOT NULL,
ManMotivo CHAR(1) NOT NULL,
ManObservacion VARCHAR(200),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
NumManifiestocargaNuevo VARCHAR(15),
AccionReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_AnulaManifiestos PRIMARY KEY NONCLUSTERED (ManId),
 CONSTRAINT CK_AnulaManifiestosManMotivo CHECK ((len([ManMotivo])>(0))),
 CONSTRAINT CK_AnulaManifiestosManNumero_Empresa CHECK ((len([ManNumero_Empresa])>(0))))
CREATE TABLE AnulaRemesas ( 
RemId INT IDENTITY ( 1,1 ) NOT NULL,
RemTipoReversa CHAR(1),
RemCiudad_Desti_Transbordo VARCHAR(8),
RemMotivo CHAR(1),
RemMotivoTransbordo CHAR(1),
RemNroremEmpresa VARCHAR(15) NOT NULL,
RemObservacion VARCHAR(200),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
AccionReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_AnulaRemesas PRIMARY KEY NONCLUSTERED (RemId),
 CONSTRAINT CK_AnulaRemesasRemNroremEmpresa CHECK ((len([RemNroremEmpresa])>(0))))
CREATE TABLE CumplidosMan ( 
ManId INT IDENTITY ( 1,1 ) NOT NULL,
ManNumero_Empresa VARCHAR(15) NOT NULL,
ManTipoCumplido CHAR(1) NOT NULL,
ManMotivoSuspension CHAR(2),
ManConsecuenciaSuspension CHAR(1),
ManVlrAdicionalHorasCargue DECIMAL(16,4),
ManVlrAdicionalHorasDescargue DECIMAL(16,4),
ManVlrAdicional DECIMAL(16,4),
ManMotivoValorAdicional CHAR(1),
ManVlrDescuento DECIMAL(16,4),
ManMotivoValorDescuento CHAR(1),
ManVlrSobreanticipo DECIMAL(16,4),
ManFechaEntregaDoc SMALLDATETIME,
ManObservacion VARCHAR(200),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
NumViajesDia INT,
AccionReg INT DEFAULT ((0)) NOT NULL,
CodigoRuta VARCHAR(10)
 CONSTRAINT PK_CumplidosMan PRIMARY KEY NONCLUSTERED (ManId),
 CONSTRAINT CK_CumplidosManManNumero_Empresa CHECK ((len([ManNumero_Empresa])>(0))),
 CONSTRAINT CK_CumplidosManManTipoCumplido CHECK ((len([ManTipoCumplido])>(0))))
CREATE TABLE CumplidosRem ( 
RemId INT IDENTITY ( 1,1 ) NOT NULL,
RemNroRemEmpresa VARCHAR(15) NOT NULL,
RemNroManifiesto VARCHAR(15) NOT NULL,
RemTipoCumplido CHAR(1) NOT NULL,
RemMotivoSuspension CHAR(1),
RemCantidadCargada DECIMAL(14,4),
RemCantidadEntregada DECIMAL(14,4),
RemUnida_Medida CHAR(1) NOT NULL,
RemFechaCitaCargue SMALLDATETIME,
RemHoraCitaCargue VARCHAR(5),
RemFechaLlegaCargue SMALLDATETIME,
RemHoraLlegaCargue VARCHAR(5),
RemFechaInicioCargue SMALLDATETIME,
RemHoraInicioCargue VARCHAR(5),
RemFechaFinCargue SMALLDATETIME,
RemHoraFinCargue VARCHAR(5),
RemFechaCitaDescargue SMALLDATETIME,
RemHoraCitaDescargue VARCHAR(5),
RemFechaLlegaDescargue SMALLDATETIME,
RemHoraLlegaDescargue VARCHAR(5),
RemFechaInicioDescargue SMALLDATETIME,
RemHoraInicioDescargue VARCHAR(5),
RemFechaFinDescargue SMALLDATETIME,
RemHoraFinDescargue VARCHAR(5),
RemObservacion VARCHAR(200),
RemValorFactura DECIMAL(16,4),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
AccionReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_CumplidosRem PRIMARY KEY NONCLUSTERED (RemId),
 CONSTRAINT CK_CumplidosRemRemNroManifiesto CHECK ((len([RemNroManifiesto])>(0))),
 CONSTRAINT CK_CumplidosRemRemNroRemEmpresa CHECK ((len([RemNroRemEmpresa])>(0))),
 CONSTRAINT CK_CumplidosRemRemTipoCumplido CHECK ((len([RemTipoCumplido])>(0))),
 CONSTRAINT CK_CumplidosRemRemUnida_Medida CHECK ((len([RemUnida_Medida])>(0))))
CREATE TABLE Facturas ( 
Id BIGINT IDENTITY ( 1,1 ) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumDoc INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Prefijo VARCHAR(20),
FechaFact SMALLDATETIME NOT NULL,
NitCliente VARCHAR(16),
FechaReg SMALLDATETIME NOT NULL,
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(5000),
CantIntentos INT DEFAULT ((0)) NOT NULL,
Factura INT DEFAULT ((0)) NOT NULL,
IdCiaFra CHAR(2)
 CONSTRAINT PK_Facturas PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_FacturasIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_FacturasTipDoc CHECK ((len([TipDoc])>(0))))
CREATE TABLE InfoCarga ( 
RemNroPreRemesa VARCHAR(15) NOT NULL,
RemTipo CHAR(1) NOT NULL,
RemUnida_Empaq CHAR(2) NOT NULL,
RemNaturaleza CHAR(1) NOT NULL,
RemDescr_Produ VARCHAR(60) NOT NULL,
RemCodProducto VARCHAR(6) NOT NULL,
RemCantidad DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
RemUnida_Medida CHAR(1),
RemContenedorVacio DECIMAL(14,4),
RemTipIdRemitente CHAR(1) NOT NULL,
RemIdenRemitente VARCHAR(16) NOT NULL,
RemSedeRemitente VARCHAR(4),
RemPacto BIT DEFAULT ((0)) NOT NULL,
RemHorasPactoCarga INT,
RemMinutosPactoCarga INT,
RemTipIdDestinatario CHAR(1),
RemIdenDestinatario VARCHAR(16),
RemSedeDestinatario VARCHAR(4),
RemPactoDescarga BIT DEFAULT ((0)) NOT NULL,
RemHorasPactoDescarga INT,
RemMinutosPactoDescarga INT,
RemFechaCitaCargue SMALLDATETIME,
RemHoraCitaCargue VARCHAR(5),
RemObservacion VARCHAR(200),
RemNumero INT DEFAULT ((0)) NOT NULL,
RemIdCia CHAR(2) NOT NULL,
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
AccionReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_InfoCarga PRIMARY KEY CLUSTERED (RemNroPreRemesa),
 CONSTRAINT CK_InfoCargaRemCodProducto CHECK ((len([RemCodProducto])>(0))),
 CONSTRAINT CK_InfoCargaRemDescr_Produ CHECK ((len([RemDescr_Produ])>(0))),
 CONSTRAINT CK_InfoCargaRemIdenRemitente CHECK ((len([RemIdenRemitente])>(0))),
 CONSTRAINT CK_InfoCargaRemNaturaleza CHECK ((len([RemNaturaleza])>(0))),
 CONSTRAINT CK_InfoCargaRemNroPreRemesa CHECK ((len([RemNroPreRemesa])>(0))),
 CONSTRAINT CK_InfoCargaRemTipIdRemitente CHECK ((len([RemTipIdRemitente])>(0))),
 CONSTRAINT CK_InfoCargaRemTipo CHECK ((len([RemTipo])>(0))),
 CONSTRAINT CK_InfoCargaRemUnida_Empaq CHECK ((len([RemUnida_Empaq])>(0))))
CREATE TABLE InfoViaje ( 
ManInfoViaje VARCHAR(15) NOT NULL,
ManTipIdConduc CHAR(1) NOT NULL,
ManIdenConduc VARCHAR(16) NOT NULL,
ManPlaca VARCHAR(6) NOT NULL,
ManPlacSemir VARCHAR(6),
ManCiud_Origen VARCHAR(8) NOT NULL,
ManCiud_Destin VARCHAR(8) NOT NULL,
ManVlrtotViaje DECIMAL(16,4) DEFAULT ((0)) NOT NULL,
ManObservacion VARCHAR(200),
ManNumero INT DEFAULT ((0)) NOT NULL,
ManIdCia CHAR(2) NOT NULL,
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
AccionReg INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_InfoViaje PRIMARY KEY CLUSTERED (ManInfoViaje),
 CONSTRAINT CK_InfoViajeManCiud_Destin CHECK ((len([ManCiud_Destin])>(0))),
 CONSTRAINT CK_InfoViajeManCiud_Origen CHECK ((len([ManCiud_Origen])>(0))),
 CONSTRAINT CK_InfoViajeManIdenConduc CHECK ((len([ManIdenConduc])>(0))),
 CONSTRAINT CK_InfoViajeManInfoViaje CHECK ((len([ManInfoViaje])>(0))),
 CONSTRAINT CK_InfoViajeManPlaca CHECK ((len([ManPlaca])>(0))),
 CONSTRAINT CK_InfoViajeManTipIdConduc CHECK ((len([ManTipIdConduc])>(0))))
CREATE TABLE InfoViajeCarga ( 
ManInfoViaje VARCHAR(15) NOT NULL,
RemNroPreRemesa VARCHAR(15) NOT NULL
 CONSTRAINT PK_InfoViajeCarga PRIMARY KEY CLUSTERED (ManInfoViaje,RemNroPreRemesa),
 CONSTRAINT CK_InfoViajeCargaManInfoViaje CHECK ((len([ManInfoViaje])>(0))),
 CONSTRAINT CK_InfoViajeCargaRemNroPreRemesa CHECK ((len([RemNroPreRemesa])>(0))))
CREATE TABLE Manifiestos ( 
ManNumero_Empresa VARCHAR(15) NOT NULL,
ManInfoViaje VARCHAR(15),
ManNroManifiestoTransbordo VARCHAR(15),
ManTipoManifiesto CHAR(1) NOT NULL,
ManFechExped SMALLDATETIME NOT NULL,
ManCiud_Origen VARCHAR(8) NOT NULL,
ManCiud_Destin VARCHAR(8) NOT NULL,
ManTipIdTitular CHAR(1) NOT NULL,
ManIdenTitular VARCHAR(16) NOT NULL,
ManPlaca VARCHAR(6) NOT NULL,
ManPlacSemir VARCHAR(6),
ManTipIdConduc CHAR(1) NOT NULL,
ManIdenConduc VARCHAR(16) NOT NULL,
ManVlrtotViaje DECIMAL(16,4) DEFAULT ((0)) NOT NULL,
ManReteFuente DECIMAL(16,4) DEFAULT ((0)) NOT NULL,
ManDescu_Ley_Factor DECIMAL(16,4) DEFAULT ((0)) NOT NULL,
ManVlrAnticip DECIMAL(16,4) DEFAULT ((0)) NOT NULL,
ManPago VARCHAR(8),
ManFechPagSal SMALLDATETIME,
ManPago_Cargue CHAR(1) NOT NULL,
ManPago_Descar CHAR(1) NOT NULL,
ManObservacion VARCHAR(200),
ManNumero INT DEFAULT ((0)) NOT NULL,
ManIdCia CHAR(2) NOT NULL,
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
ManTipIdCond2 CHAR(1),
ManIdenCond2 VARCHAR(16),
NumViajesDia INT,
AccionReg INT DEFAULT ((0)) NOT NULL,
AceptElectronica BIT DEFAULT ((0)),
FechaAceptCond SMALLDATETIME,
FechaAceptTitular SMALLDATETIME,
TipoValPacto VARCHAR(10),
CodMunicipioIntermedio VARCHAR(8),
TipoViaje VARCHAR(10),
CodigoRuta VARCHAR(10),
MunOrigenVacio1 VARCHAR(8),
MunDestinoVacio1 VARCHAR(8),
MunOrigenVacio2 VARCHAR(8),
MunDestinoVacio2 VARCHAR(8),
ValorTrayectoVacio1 DECIMAL(16,4) DEFAULT ((0)),
ValorTrayectoVacio2 DECIMAL(16,4) DEFAULT ((0))
 CONSTRAINT PK_Manifiestos PRIMARY KEY CLUSTERED (ManNumero_Empresa),
 CONSTRAINT CK_ManifiestosManCiud_Destin CHECK ((len([ManCiud_Destin])>(0))),
 CONSTRAINT CK_ManifiestosManCiud_Origen CHECK ((len([ManCiud_Origen])>(0))),
 CONSTRAINT CK_ManifiestosManIdenConduc CHECK ((len([ManIdenConduc])>(0))),
 CONSTRAINT CK_ManifiestosManIdenTitular CHECK ((len([ManIdenTitular])>(0))),
 CONSTRAINT CK_ManifiestosManNumero_Empresa CHECK ((len([ManNumero_Empresa])>(0))),
 CONSTRAINT CK_ManifiestosManPago_Cargue CHECK ((len([ManPago_Cargue])>(0))),
 CONSTRAINT CK_ManifiestosManPago_Descar CHECK ((len([ManPago_Descar])>(0))),
 CONSTRAINT CK_ManifiestosManPlaca CHECK ((len([ManPlaca])>(0))),
 CONSTRAINT CK_ManifiestosManTipIdConduc CHECK ((len([ManTipIdConduc])>(0))),
 CONSTRAINT CK_ManifiestosManTipIdTitular CHECK ((len([ManTipIdTitular])>(0))),
 CONSTRAINT CK_ManifiestosManTipoManifiesto CHECK ((len([ManTipoManifiesto])>(0))))
CREATE TABLE ManifiestosRem ( 
ManNumero_Empresa VARCHAR(15) NOT NULL,
RemNroRemEmpresa VARCHAR(15) NOT NULL
 CONSTRAINT PK_ManifiestosRem PRIMARY KEY CLUSTERED (ManNumero_Empresa,RemNroRemEmpresa),
 CONSTRAINT CK_ManifiestosRemManNumero_Empresa CHECK ((len([ManNumero_Empresa])>(0))),
 CONSTRAINT CK_ManifiestosRemRemNroRemEmpresa CHECK ((len([RemNroRemEmpresa])>(0))))
CREATE TABLE Remesas ( 
RemNroRemEmpresa VARCHAR(15) NOT NULL,
RemNroPreRemesa VARCHAR(15),
RemPreRemesaDividida VARCHAR(15),
RemTipoOperacion CHAR(1) NOT NULL,
RemUnida_Empaq VARCHAR(2) NOT NULL,
RemNaturaleza CHAR(1) NOT NULL,
RemDescr_Produ VARCHAR(60) NOT NULL,
RemCodProducto VARCHAR(6) NOT NULL,
RemCantidadCargada DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
CantidadCargada DECIMAL(14,4) DEFAULT ((0)),
RemUnida_Medida CHAR(1),
RemContenedorVacio DECIMAL(14,4),
RemTipIdRemitente CHAR(1) NOT NULL,
RemIdenRemitente VARCHAR(16) NOT NULL,
RemSedeRemitente VARCHAR(4),
RemTipIdDestinatario CHAR(1) NOT NULL,
RemIdenDestinatario VARCHAR(16) NOT NULL,
RemSedeDestinatario VARCHAR(4),
RemDuenoPoliza CHAR(1) NOT NULL,
RemPoliza VARCHAR(20),
RemVencimiento SMALLDATETIME,
RemAseguradora VARCHAR(16),
RemFechaCitaCargue SMALLDATETIME,
RemHoraCitaCargue VARCHAR(5),
RemFechaLlegaCargue SMALLDATETIME,
RemHoraLlegaCargue VARCHAR(5),
RemFechaInicioCargue SMALLDATETIME,
RemHoraInicioCargue VARCHAR(5),
RemFechaFinCargue SMALLDATETIME,
RemHoraFinCargue VARCHAR(5),
RemHorasPactoCarga INT DEFAULT ((0)),
RemMinutosPactoCarga INT DEFAULT ((0)),
RemHorasPactoDescarga INT,
RemMinutosPactoDescarga INT,
RemFechaCitaDescargue SMALLDATETIME,
RemHoraCitaDescargue VARCHAR(5),
RemObservacion VARCHAR(200),
CodTipoIdPropietario CHAR(1),
NumIdPropietario VARCHAR(16),
CodSedeTercero VARCHAR(4),
RemNumero INT DEFAULT ((0)) NOT NULL,
RemIdCia CHAR(2) NOT NULL,
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
PermisoCargaExtra VARCHAR(20),
TipIdGPS CHAR(1),
NumIdGPS VARCHAR(16),
FecSalCargueCI DATETIME,
FecLlegDescargueCI DATETIME,
FecCumIni DATETIME,
CodMunicipioTransbordo VARCHAR(8),
AccionReg INT DEFAULT ((0)) NOT NULL,
TipoViaje VARCHAR(10),
IngresoIdCr DECIMAL(16,2) DEFAULT ((0)),
OrdenServicio VARCHAR(50),
CodigoUN VARCHAR(10),
GrupoEmbalaje VARCHAR(5),
EstadoMercancia VARCHAR(10),
CantidadProducto DECIMAL(14,4) DEFAULT ((0)),
UM_Producto VARCHAR(3),
Emp_Primario VARCHAR(10),
RemDescr_Produ_Peligroso VARCHAR(500),
CodigoArancel VARCHAR(2),
CodigoSubpartida VARCHAR(2),
GrupoResiduo VARCHAR(3),
CodPeligrosidad VARCHAR(5),
Residuo VARCHAR(10),
ResiduoDesagregacion VARCHAR(10),
DescripcionResiduo VARCHAR(100),
NEP BIT DEFAULT ((0)) NOT NULL,
TipoConsolidada VARCHAR(10)
 CONSTRAINT PK_Remesas PRIMARY KEY CLUSTERED (RemNroRemEmpresa),
 CONSTRAINT CK_RemesasRemCodProducto CHECK ((len([RemCodProducto])>(0))),
 CONSTRAINT CK_RemesasRemDescr_Produ CHECK ((len([RemDescr_Produ])>(0))),
 CONSTRAINT CK_RemesasRemDuenoPoliza CHECK ((len([RemDuenoPoliza])>(0))),
 CONSTRAINT CK_RemesasRemIdenDestinatario CHECK ((len([RemIdenDestinatario])>(0))),
 CONSTRAINT CK_RemesasRemIdenRemitente CHECK ((len([RemIdenRemitente])>(0))),
 CONSTRAINT CK_RemesasRemNaturaleza CHECK ((len([RemNaturaleza])>(0))),
 CONSTRAINT CK_RemesasRemNroRemEmpresa CHECK ((len([RemNroRemEmpresa])>(0))),
 CONSTRAINT CK_RemesasRemTipIdDestinatario CHECK ((len([RemTipIdDestinatario])>(0))),
 CONSTRAINT CK_RemesasRemTipIdRemitente CHECK ((len([RemTipIdRemitente])>(0))),
 CONSTRAINT CK_RemesasRemTipoOperacion CHECK ((len([RemTipoOperacion])>(0))),
 CONSTRAINT CK_RemesasRemUnida_Empaq CHECK ((len([RemUnida_Empaq])>(0))))
CREATE TABLE Terceros ( 
TerId VARCHAR(20) NOT NULL,
TerNitEmpresa VARCHAR(16) NOT NULL,
TerIdentificacion VARCHAR(16) NOT NULL,
TerTipoId CHAR(1) NOT NULL,
TerDv CHAR(1),
TerNombre VARCHAR(100) NOT NULL,
TerPrimerApellido VARCHAR(100),
TerSegundoApellido VARCHAR(100),
TerSede VARCHAR(4),
TerSedeNombre VARCHAR(20),
TerTelefono VARCHAR(10),
TerCelular VARCHAR(10),
TerDireccion VARCHAR(60) NOT NULL,
TerCiudadCodigo VARCHAR(8) NOT NULL,
TerCategoriaLicencia VARCHAR(3),
TerLicencia VARCHAR(20),
TerVencimientoLicencia SMALLDATETIME,
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
FechaReg DATETIME,
CantIntentos INT DEFAULT ((0)),
Latitud DECIMAL(16,10) DEFAULT ((0)),
Longitud DECIMAL(16,10) DEFAULT ((0)),
RegimenSimple VARCHAR(5)
 CONSTRAINT PK_Terceros PRIMARY KEY NONCLUSTERED (TerId),
 CONSTRAINT CK_TercerosTerCiudadCodigo CHECK ((len([TerCiudadCodigo])>(0))),
 CONSTRAINT CK_TercerosTerDireccion CHECK ((len([TerDireccion])>(0))),
 CONSTRAINT CK_TercerosTerIdentificacion CHECK ((len([TerIdentificacion])>(0))),
 CONSTRAINT CK_TercerosTerNitEmpresa CHECK ((len([TerNitEmpresa])>(0))),
 CONSTRAINT CK_TercerosTerNombre CHECK ((len([TerNombre])>(0))),
 CONSTRAINT CK_TercerosTerTipoId CHECK ((len([TerTipoId])>(0))))
CREATE TABLE Vehiculos ( 
VehPlaca VARCHAR(6) NOT NULL,
VehConfiguraci CHAR(2) NOT NULL,
VehMarca VARCHAR(10) NOT NULL,
VehLinea VARCHAR(10),
VehNroEjes INT,
VehModelo VARCHAR(4) NOT NULL,
VehModeloTransf VARCHAR(4),
VehColor VARCHAR(5),
VehPeso DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
VehCapacidad DECIMAL(14,4) DEFAULT ((0)),
VehUnidad_Medida CHAR(1) NOT NULL,
VehTipoCarrocer VARCHAR(3),
VehNroSerie VARCHAR(50),
VehTipoCombus VARCHAR(2),
VehNro_Poliza VARCHAR(15),
VehFechVenci SMALLDATETIME,
VehIdenAsegur VARCHAR(16),
VehTipIdPropiet CHAR(1),
VehIdentProp VARCHAR(16),
VehTipIdTenenc CHAR(1),
VehIdenTenenc VARCHAR(16),
EstadoReg INT DEFAULT ((0)) NOT NULL,
IngresoId DECIMAL(16,2) DEFAULT ((0)) NOT NULL,
CodError VARCHAR(20),
MsgError VARCHAR(8000),
CantIntentos INT DEFAULT ((0)),
FechaReg DATETIME
 CONSTRAINT PK_Vehiculos PRIMARY KEY CLUSTERED (VehPlaca),
 CONSTRAINT CK_VehiculosVehConfiguraci CHECK ((len([VehConfiguraci])>(0))),
 CONSTRAINT CK_VehiculosVehMarca CHECK ((len([VehMarca])>(0))),
 CONSTRAINT CK_VehiculosVehModelo CHECK ((len([VehModelo])>(0))),
 CONSTRAINT CK_VehiculosVehPlaca CHECK ((len([VehPlaca])>(0))),
 CONSTRAINT CK_VehiculosVehUnidad_Medida CHECK ((len([VehUnidad_Medida])>(0))))
CREATE TABLE ws_config ( 
id INT NOT NULL,
cantIntentos INT DEFAULT ((0)) NOT NULL,
usuario VARCHAR(50) DEFAULT ('') NOT NULL,
password VARCHAR(100) DEFAULT ('') NOT NULL,
tiempo_envio DECIMAL(18,0) DEFAULT ((0)) NOT NULL,
tiempo_auto BIT DEFAULT ((0)) NOT NULL,
simulacion BIT DEFAULT ((1)) NOT NULL,
licencia VARCHAR(500) DEFAULT ('') NOT NULL,
version VARCHAR(50) DEFAULT ('') NOT NULL,
aplicacion VARCHAR(50) DEFAULT ('') NOT NULL,
nit_empresa VARCHAR(20) DEFAULT ('') NOT NULL
 CONSTRAINT PK_ws_config PRIMARY KEY CLUSTERED (id))
CREATE TABLE ws_log ( 
id BIGINT IDENTITY ( 1,1 ) NOT NULL,
fecha VARCHAR(50) NOT NULL,
xml_enviado VARCHAR(8000) DEFAULT ('') NOT NULL,
xml_recibido VARCHAR(8000) DEFAULT ('') NOT NULL,
detalle VARCHAR(8000) DEFAULT ('') NOT NULL,
proceso BIT DEFAULT ((0)) NOT NULL,
sql VARCHAR(1000) DEFAULT ('') NOT NULL,
tipo_log VARCHAR(50) DEFAULT ('') NOT NULL,
id_proceso INT DEFAULT ((0)) NOT NULL,
llave VARCHAR(50),
cod_error VARCHAR(50)
 CONSTRAINT PK_ws_log PRIMARY KEY CLUSTERED (id))
CREATE TABLE ws_procesos ( 
id INT IDENTITY ( 1,1 ) NOT NULL,
id_proceso INT DEFAULT ((0)) NOT NULL,
nombre VARCHAR(200) DEFAULT ('') NOT NULL,
tipo_proceso INT DEFAULT ((0)) NOT NULL,
variables VARCHAR(1000) DEFAULT ('') NOT NULL,
documento VARCHAR(1000) DEFAULT ('') NOT NULL,
orden_envio INT DEFAULT ((0)) NOT NULL,
habilitado BIT DEFAULT ((0)) NOT NULL,
tabla_sys VARCHAR(50) DEFAULT ('') NOT NULL,
select_sys VARCHAR(1000) DEFAULT ('') NOT NULL,
llave_sys VARCHAR(50) DEFAULT ('') NOT NULL
 CONSTRAINT PK_ws_procesos PRIMARY KEY CLUSTERED (id))
GO
 CREATE CLUSTERED INDEX IX_AnulaCumplidoManNumManifiesto ON AnulaCumplidoMan(NumManifiestoCarga)

GO
 CREATE CLUSTERED INDEX IX_AnulaCumplidoRemNroManifiesto ON AnulaCumplidoRem(RemNroManifiesto,RemNroRemEmpresa)

GO
 CREATE CLUSTERED INDEX IX_AnulaInfoCargaRemNroPreremesa ON AnulaInfoCarga(RemNroPreremesa)

GO
 CREATE CLUSTERED INDEX IX_AnulaInfoViajeManInfoViaje ON AnulaInfoViaje(ManInfoViaje)

GO
 CREATE CLUSTERED INDEX IX_AnulaManifiestosManNumero_Empresa ON AnulaManifiestos(ManNumero_Empresa)

GO
 CREATE CLUSTERED INDEX IX_AnulaRemesasRemNroremEmpresa ON AnulaRemesas(RemNroremEmpresa)

GO
 CREATE CLUSTERED INDEX IX_CumplidosManManNumero_Empresa ON CumplidosMan(ManNumero_Empresa)

GO
 CREATE CLUSTERED INDEX IX_CumplidosRemRemNroRemEmpresa ON CumplidosRem(RemNroRemEmpresa)

GO
 CREATE CLUSTERED INDEX IX_Facturas_NumDoc ON Facturas(TipDoc,NumDoc,IdCia)

GO
 CREATE NONCLUSTERED INDEX IX_InfoCargaRemNumero ON InfoCarga(RemNumero,RemIdCia)

GO
 CREATE NONCLUSTERED INDEX IX_InfoViajeManNumero ON InfoViaje(ManNumero,ManIdCia)

GO
ALTER TABLE InfoViajeCarga ADD 
 CONSTRAINT FK_InfoViajeCarga_InfoViaje FOREIGN KEY (ManInfoViaje) REFERENCES [dbo].[InfoViaje] (ManInfoViaje)
GO
 CREATE NONCLUSTERED INDEX IX_ManifiestosManNumero ON Manifiestos(ManNumero,ManIdCia)

GO
ALTER TABLE ManifiestosRem ADD 
 CONSTRAINT FK_ManifiestosRem_Manifiestos FOREIGN KEY (ManNumero_Empresa) REFERENCES [dbo].[Manifiestos] (ManNumero_Empresa)
GO
 CREATE NONCLUSTERED INDEX IX_RemesasRemNumero ON Remesas(RemNumero,RemIdCia)

GO
 CREATE CLUSTERED INDEX IX_TercerosTerIdentificacion ON Terceros(TerIdentificacion)

GO
